%global npm_name delayed-stream
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.0
Release: %mkrel 5
Summary: Buffers events from a stream until you are ready to handle them
License: MIT
Group: Development/Other
URL: https://github.com/felixge/node-delayed-stream
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr Makefile %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license License
%doc Readme.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.0-5.mga10
+ Revision: 2208209
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.0.0-4.mga9
+ Revision: 1818446
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1502579
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1280314
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 1.0.0-1.mga7
+ Revision: 1226945
- imported package nodejs-delayed-stream

